classification
Title: -q (quiet) option for python interpreter
Type: enhancement Stage:
Components: None Versions:
process
Status: closed Resolution:
Dependencies: Superseder: -q (quiet) option for python interpreter
View: 1772833
Assigned To: Nosy List: orsenthil, rhettinger, wojdyr
Priority: normal Keywords:

Created on 2007-05-30 18:44 by wojdyr, last changed 2007-08-24 11:39 by georg.brandl. This issue is now closed.

Messages (4)
msg55134 - (view) Author: Marcin Wojdyr (wojdyr) Date: 2007-05-30 18:44
I'd like to suggest the new option for python:

 -q     Do not print the version and copyright messages.  These messages are also suppressed in non-interactive mode.

Why:
I often use python as a calculator, for a couple-lines calculations, and would prefer to avoid having printed these three lines.
There is a similar option in e.g. gdb.


AFAICS the implementation would require small changes in Modules/main.c, Misc/python.man and probably in other docs. If it would be accepted, I can do it.

Marcin
msg55135 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2007-08-02 04:26
+1 I think this would be nice.  
msg55136 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2007-08-03 02:06
+1 for this option.
msg55137 - (view) Author: Marcin Wojdyr (wojdyr) Date: 2007-08-13 03:35
-> patch 1772833
History
Date User Action Args
2007-08-24 11:39:42georg.brandlsetsuperseder: -q (quiet) option for python interpreter
2007-05-30 18:44:13wojdyrcreate